Name:		auto-multiple-choice
Version:	0.468
Release:	%mkrel 1

%define AMC_OPENCV -I /usr/include/opencv -lopencv_core -lopencv_highgui
%define AMC_cat Education;
%define AMC_makepass SYSTEM_TYPE=rpm MODSDIR=%_libdir/AMC MODELSDIR=%_datadir/auto-multiple-choice/models TEXDIR=%_datadir/texmf/tex/latex/AMC BINDIR=%{_bindir} ICONSDIR=%_datadir/auto-multiple-choice/icons PIXDIR=%_datadir/pixmaps PERLDIR=%{perl_vendorlib} MAN1DIR=%{_mandir}/man1 DOCDIR=%{_docdir}/%{name} DESKTOPDIR="" DESKTOP_CAT="%{AMC_cat}" GCC_OPENCV="%{AMC_OPENCV}" USER_GROUP=""

Summary:	Auto Multiple Choice - Multiple choice papers management
License:	GPLv2+
Group:		Education
URL:		http://home.gna.org/auto-qcm/
Source0:	http://download.gna.org/auto-qcm/%{name}_%{version}_sources.tar.gz

BuildRequires:	libpoppler-devel
BuildRequires:	opencv-devel
BuildRequires:	desktop-file-utils
BuildRequires:	perl
BuildRequires:	librsvg
BuildRequires:	netpbm-devel
BuildRequires:	netpbm
BuildRequires:	dblatex
BuildRequires:	texlive
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtds

Requires:	texlive
Requires:	perl-Net-CUPS
Requires:	ghostscript
Requires:	poppler
Requires:	netpbm
Requires:	unzip
Requires:	graphicsmagick
Requires:	perl(Graphics::Magick)
Requires(post):		texlive
Requires(postun):	texlive	

%description
Utility to manage multiple choice questionnaires, with optionally
mixed questions and answers. AMC provides automatic marking from papers'
scans. Annotated papers are produced. Marks can be exported as a
OpenOffice.org sheet file.

%files -f %{name}.lang
%defattr(-,root,root,-)

%doc COPYING ChangeLog doc/html doc/auto-multiple-choice.??.xml doc/auto-multiple-choice.??.pdf
%doc %_datadir/doc/texlive-doc/latex/AMC
%dir %_datadir/auto-multiple-choice
%_libdir/AMC
%_datadir/auto-multiple-choice/models
%_datadir/auto-multiple-choice/icons
%_datadir/texmf/tex/latex/AMC
%_bindir/auto-multiple-choice
%_datadir/pixmaps/auto-multiple-choice.xpm
%perl_vendorlib/AMC
%_datadir/applications/auto-multiple-choice.desktop
%_mandir/man1/auto-multiple-choice.*.1*
%_mandir/man1/auto-multiple-choice.1*
%_mandir/man1/AMC-*.1*

#-------------------------------------------------------------------------------

%prep
%setup -q

%build
%make %{AMC_makepass} GCC_NETPBM="-I /usr/include/netpbm -lnetpbm" GCC_POPPLER="-I /usr/include/poppler -lpoppler" GCC="gcc" GCC_PP="g++" CFLAGS="$RPM_OPT_FLAGS -Wall" CXXFLAGS="$RPM_OPT_FLAGS -Wall" TEXINPUTS=/usr/share/dblatex/latex/graphics/:


%install
%__rm -rf %{buildroot}
make DESTDIR=%buildroot %{AMC_makepass} install
desktop-file-install --delete-original --dir=%{buildroot}%{_datadir}/applications auto-multiple-choice.desktop
%find_lang %{name}

%clean
%__rm -rf %{buildroot}

%post
texconfig-sys rehash

%postun
texconfig-sys rehash






%changelog
* Tue May 10 2011 mikala <mikala> 0.468-1.mga1
+ Revision: 97051
- Update tarball to 0.468
- Add %%clean section
- Clean %%buildroot in %%install section
- Fix BR
- imported package auto-multiple-choice

